# Uses of Annotation Interface
org.eclipse.e4.core.di.annotations.Optional

Packages that use Optional
Package
Description
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of Optional in org.eclipse.e4.ui.workbench.renderers.swt

Fields in org.eclipse.e4.ui.workbench.renderers.swt with annotations of type Optional
Modifier and Type
Field
Description
`protected EHelpService`
AbstractContributionItem.`helpService`
`protected Logger`
AbstractContributionItem.`logger`